## org.jboss.util
Interface WaitSync

All Superinterfaces:
  Sync

All Known Implementing Classes:
  WaitSemaphore

public interface WaitSync
extends Sync

Interface that gives wait - notify primitives to implementors.

Version:
  $Revision: 1.1 $
Author:
  Simone Bordet (simone.bordet@compaq.com)
See Also:
  `Semaphore`

Method Summary
`void` `doNotify()` Wakes up this sync that has been posed in wait status by a `doWait()` call.
`void` `doWait()` Pone in wait status this sync, until `doNotify()` is called to wake it up.

Methods inherited from interface org.jboss.util.Sync
`acquire, release`

Method Detail

### doWait

    public void doWait()
                throws java.lang.InterruptedException

  Pone in wait status this sync, until `doNotify()` is called to wake it up.
  See Also:
    `doNotify()`

### doNotify

    public void doNotify()
                  throws java.lang.InterruptedException

  Wakes up this sync that has been posed in wait status by a `doWait()` call. If this sync is not waiting, invoking this method should have no effect.
  See Also:
    `doWait()`

Copyright © 2000 The JBoss Organization. All Rights Reserved.